using System;

namespace IfacesEnumsStructsClasses
{
    /// <summary>
    /// HRESULT constants
    /// </summary>
    public sealed class Hresults
    {
        /// <summary>
        /// 
        /// </summary>
        public const int NOERROR = 0;
        /// <summary>
        /// 
        /// </summary>
        public const int S_OK = 0;
        /// <summary>
        /// 
        /// </summary>
        public const int S_FALSE = 1;
        /// <summary>
        /// 
        /// </summary>
        public const int E_PENDING = unchecked((int)0x8000000A);
        /// <summary>
        /// 
        /// </summary>
        public const int E_HANDLE = unchecked((int)0x80070006);
        /// <summary>
        /// 
        /// </summary>
        public const int E_NOTIMPL = unchecked((int)0x80004001);
        /// <summary>
        /// 
        /// </summary>
        public const int E_NOINTERFACE = unchecked((int)0x80004002);
        //ArgumentNullException. NullReferenceException uses COR_E_NULLREFERENCE
        /// <summary>
        /// 
        /// </summary>
        public const int E_POINTER = unchecked((int)0x80004003);
        /// <summary>
        /// 
        /// </summary>
        public const int E_ABORT = unchecked((int)0x80004004);
        /// <summary>
        /// 
        /// </summary>
        public const int E_FAIL = unchecked((int)0x80004005);
        /// <summary>
        /// 
        /// </summary>
        public const int E_OUTOFMEMORY = unchecked((int)0x8007000E);
        /// <summary>
        /// 
        /// </summary>
        public const int E_ACCESSDENIED = unchecked((int)0x80070005);
        /// <summary>
        /// 
        /// </summary>
        public const int E_UNEXPECTED = unchecked((int)0x8000FFFF);
        /// <summary>
        /// 
        /// </summary>
        public const int E_FLAGS = unchecked((int)0x1000);
        /// <summary>
        /// 
        /// </summary>
        public const int E_INVALIDARG = unchecked((int)0x80070057);

        //Wininet
        /// <summary>
        /// 
        /// </summary>
        public const int ERROR_SUCCESS = 0;
        /// <summary>
        /// 
        /// </summary>
        public const int ERROR_FILE_NOT_FOUND = 2;
        /// <summary>
        /// 
        /// </summary>
        public const int ERROR_ACCESS_DENIED = 5;
        /// <summary>
        /// 
        /// </summary>
        public const int ERROR_INSUFFICIENT_BUFFER = 122;
        /// <summary>
        /// 
        /// </summary>
        public const int ERROR_NO_MORE_ITEMS = 259;

        //Ole Errors
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_FIRST = unchecked((int)0x80040000);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_LAST = unchecked((int)0x800400FF);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_S_FIRST = unchecked((int)0x00040000);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_S_LAST = unchecked((int)0x000400FF);
        //OLECMDERR_E_FIRST = 0x80040100
        /// <summary>
        /// 
        /// </summary>
        public const int OLECMDERR_E_FIRST = unchecked((int)(OLE_E_LAST + 1));
        /// <summary>
        /// 
        /// </summary>
        public const int OLECMDERR_E_NOTSUPPORTED = unchecked((int)(OLECMDERR_E_FIRST));
        /// <summary>
        /// 
        /// </summary>
        public const int OLECMDERR_E_DISABLED = unchecked((int)(OLECMDERR_E_FIRST + 1));
        /// <summary>
        /// 
        /// </summary>
        public const int OLECMDERR_E_NOHELP = unchecked((int)(OLECMDERR_E_FIRST + 2));
        /// <summary>
        /// 
        /// </summary>
        public const int OLECMDERR_E_CANCELED = unchecked((int)(OLECMDERR_E_FIRST + 3));
        /// <summary>
        /// 
        /// </summary>
        public const int OLECMDERR_E_UNKNOWNGROUP = unchecked((int)(OLECMDERR_E_FIRST + 4));
        /// <summary>
        /// 
        /// </summary>
        public const int OLEOBJ_E_NOVERBS = unchecked((int)0x80040180);
        /// <summary>
        /// 
        /// </summary>
        public const int OLEOBJ_S_INVALIDVERB = unchecked((int)0x00040180);
        /// <summary>
        /// 
        /// </summary>
        public const int OLEOBJ_S_CANNOT_DOVERB_NOW = unchecked((int)0x00040181);
        /// <summary>
        /// 
        /// </summary>
        public const int OLEOBJ_S_INVALIDHWND = unchecked((int)0x00040182);
        /// <summary>
        /// 
        /// </summary>

        public const int DV_E_LINDEX = unchecked((int)0x80040068);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_OLEVERB = unchecked((int)0x80040000);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_ADVF = unchecked((int)0x80040001);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_ENUM_NOMORE = unchecked((int)0x80040002);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_ADVISENOTSUPPORTED = unchecked((int)0x80040003);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_NOCONNECTION = unchecked((int)0x80040004);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_NOTRUNNING = unchecked((int)0x80040005);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_NOCACHE = unchecked((int)0x80040006);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_BLANK = unchecked((int)0x80040007);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_CLASSDIFF = unchecked((int)0x80040008);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_CANT_GETMONIKER = unchecked((int)0x80040009);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_CANT_BINDTOSOURCE = unchecked((int)0x8004000A);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_STATIC = unchecked((int)0x8004000B);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_PROMPTSAVECANCELLED = unchecked((int)0x8004000C);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_INVALIDRECT = unchecked((int)0x8004000D);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_WRONGCOMPOBJ = unchecked((int)0x8004000E);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_INVALIDHWND = unchecked((int)0x8004000F);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_NOT_INPLACEACTIVE = unchecked((int)0x80040010);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_CANTCONVERT = unchecked((int)0x80040011);
        /// <summary>
        /// 
        /// </summary>
        public const int OLE_E_NOSTORAGE = unchecked((int)0x80040012);
        /// <summary>
        /// 
        /// </summary>
        public const int RPC_E_RETRY = unchecked((int)0x80010109);
    }
}



